package com.yanzhu.system.mapper;

import java.util.List;
import com.yanzhu.system.domain.SysArea;

/**
 * 地址管理Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-07-15
 */
public interface SysAreaMapper 
{
    /**
     * 查询地址管理
     * 
     * @param id 地址管理主键
     * @return 地址管理
     */
    public SysArea selectSysAreaById(String id);

    /**
     * 查询地址管理列表
     * 
     * @param sysArea 地址管理
     * @return 地址管理集合
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * 新增地址管理
     * 
     * @param sysArea 地址管理
     * @return 结果
     */
    public int insertSysArea(SysArea sysArea);

    /**
     * 修改地址管理
     * 
     * @param sysArea 地址管理
     * @return 结果
     */
    public int updateSysArea(SysArea sysArea);

    /**
     * 删除地址管理
     * 
     * @param id 地址管理主键
     * @return 结果
     */
    public int deleteSysAreaById(String id);

    /**
     * 批量删除地址管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAreaByIds(String[] ids);
}
